diff -rupN phpMyAdmin-2.11.9.6-all-languages/scripts/upgrade_tables_mysql_4_1_2+.sql phpMyAdmin-2.11.10.1-all-languages/scripts/upgrade_tables_mysql_4_1_2+.sql
--- phpMyAdmin-2.11.9.6-all-languages/scripts/upgrade_tables_mysql_4_1_2+.sql	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/scripts/upgrade_tables_mysql_4_1_2+.sql	2010-08-20 13:47:14.000000000 +0700
@@ -10,7 +10,7 @@
 --
 -- Please don't forget to set up the tablenames in config.inc.php
 --
--- $Id: upgrade_tables_mysql_4_1_2+.sql 10212 2007-03-27 13:53:14Z cybot_tm $
+-- $Id$
 
 -- --------------------------------------------------------
 
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_binlog.php phpMyAdmin-2.11.10.1-all-languages/server_binlog.php
--- phpMyAdmin-2.11.9.6-all-languages/server_binlog.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_binlog.php	2010-08-20 13:47:14.000000000 +0700
@@ -36,7 +36,7 @@
  * @uses    array_key_exists()
  * @uses    implode()
  * @uses    htmlspecialchars()
- * @version $Id: server_binlog.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_collations.php phpMyAdmin-2.11.10.1-all-languages/server_collations.php
--- phpMyAdmin-2.11.9.6-all-languages/server_collations.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_collations.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_collations.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_databases.php phpMyAdmin-2.11.10.1-all-languages/server_databases.php
--- phpMyAdmin-2.11.9.6-all-languages/server_databases.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_databases.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_databases.php 10462 2007-06-25 14:00:35Z lem9 $
+ * @version $Id$
  */
 
 /**
@@ -287,11 +287,11 @@ if ($databases_count > 0) {
     unset($column_order, $stat_name, $stat, $databases, $table_columns);
 
     if ($is_superuser || $cfg['AllowUserDropDatabase']) {
-        $common_url_query = PMA_generate_common_url() . '&amp;sort_by=' . $sort_by . '&amp;sort_order=' . $sort_order . '&amp;dbstats=' . $dbstats;
+        $common_url_query = PMA_generate_common_url(array('sort_by' => $sort_by, 'sort_order' => $sort_order, 'dbstats' => $dbstats));
         echo '<img class="selectallarrow" src="' . $pmaThemeImage . 'arrow_' . $text_dir . '.png" width="38" height="22" alt="' . $strWithChecked . '" />' . "\n"
-           . '<a href="./server_databases.php?' . $common_url_query . '&amp;checkall=1" onclick="if (markAllRows(\'tabledatabases\')) return false;">' . "\n"
+           . '<a href="./server_databases.php' . $common_url_query . '&amp;checkall=1" onclick="if (markAllRows(\'tabledatabases\')) return false;">' . "\n"
            . '    ' . $strCheckAll . '</a> / ' . "\n"
-           . '<a href="./server_databases.php?' . $common_url_query . '" onclick="if (unMarkAllRows(\'tabledatabases\')) return false;">' . "\n"
+           . '<a href="./server_databases.php' . $common_url_query . '" onclick="if (unMarkAllRows(\'tabledatabases\')) return false;">' . "\n"
            . '    ' . $strUncheckAll . '</a>' . "\n"
            . '<i>' . $strWithChecked . '</i>' . "\n";
         PMA_buttonOrImage('drop_selected_dbs', 'mult_submit', 'drop_selected_dbs', $strDrop, 'b_deltbl.png');
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_engines.php phpMyAdmin-2.11.10.1-all-languages/server_engines.php
--- phpMyAdmin-2.11.9.6-all-languages/server_engines.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_engines.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * display list of server enignes and additonal information about them
  *
- * @version $Id: server_engines.php 10358 2007-05-09 10:55:52Z cybot_tm $
+ * @version $Id$
  * @todo falcon storage enginge is not listed under dev.mysql.com/doc/refman but dev.mysql.com/doc/falcon/
  */
 
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_export.php phpMyAdmin-2.11.10.1-all-languages/server_export.php
--- phpMyAdmin-2.11.9.6-all-languages/server_export.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_export.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_export.php 10517 2007-07-22 17:07:18Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_import.php phpMyAdmin-2.11.10.1-all-languages/server_import.php
--- phpMyAdmin-2.11.9.6-all-languages/server_import.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_import.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_import.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_privileges.php phpMyAdmin-2.11.10.1-all-languages/server_privileges.php
--- phpMyAdmin-2.11.9.6-all-languages/server_privileges.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_privileges.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_privileges.php 10908 2007-11-09 07:41:47Z cybot_tm $
+ * @version $Id$
  */
 
 /**
@@ -602,7 +602,7 @@ function PMA_displayLoginInformationFiel
        . $spaces . '        <option value="userdefined"' . ((!isset($GLOBALS['pred_username']) || $GLOBALS['pred_username'] == 'userdefined') ? ' selected="selected"' : '') . '>' . $GLOBALS['strUseTextField'] . ':</option>' . "\n"
        . $spaces . '    </select>' . "\n"
        . $spaces . '</span>' . "\n"
-       . $spaces . '<input type="text" name="username" maxlength="' . $username_length . '" title="' . $GLOBALS['strUserName'] . '"' . (empty($GLOBALS['username']) ? '' : ' value="' . (isset($GLOBALS['new_username']) ? $GLOBALS['new_username'] : $GLOBALS['username']) . '"') . ' onchange="pred_username.value = \'userdefined\';" />' . "\n"
+       . $spaces . '<input type="text" name="username" maxlength="' . $username_length . '" title="' . $GLOBALS['strUserName'] . '"' . (empty($GLOBALS['username']) ? '' : ' value="' . htmlspecialchars(isset($GLOBALS['new_username']) ? $GLOBALS['new_username'] : $GLOBALS['username']) . '"') . ' onchange="pred_username.value = \'userdefined\';" />' . "\n"
        . $spaces . '</div>' . "\n"
        . $spaces . '<div class="item">' . "\n"
        . $spaces . '<label for="select_pred_hostname">' . "\n"
@@ -650,7 +650,7 @@ function PMA_displayLoginInformationFiel
        . $spaces . '        <option value="userdefined"' . ((isset($GLOBALS['pred_hostname']) && $GLOBALS['pred_hostname'] == 'userdefined') ? ' selected="selected"' : '') . '>' . $GLOBALS['strUseTextField'] . ':</option>' . "\n"
        . $spaces . '    </select>' . "\n"
        . $spaces . '</span>' . "\n"
-       . $spaces . '<input type="text" name="hostname" maxlength="' . $hostname_length . '" value="' . (isset($GLOBALS['hostname']) ? $GLOBALS['hostname'] : '') . '" title="' . $GLOBALS['strHost'] . '" onchange="pred_hostname.value = \'userdefined\';" />' . "\n"
+       . $spaces . '<input type="text" name="hostname" maxlength="' . $hostname_length . '" value="' . htmlspecialchars(isset($GLOBALS['hostname']) ? $GLOBALS['hostname'] : '') . '" title="' . $GLOBALS['strHost'] . '" onchange="pred_hostname.value = \'userdefined\';" />' . "\n"
        . $spaces . '</div>' . "\n"
        . $spaces . '<div class="item">' . "\n"
        . $spaces . '<label for="select_pred_password">' . "\n"
@@ -757,14 +757,14 @@ if (!empty($adduser_submit) || !empty($c
 
     if (PMA_DBI_num_rows($res) == 1) {
         PMA_DBI_free_result($res);
-        $message = sprintf($GLOBALS['strUserAlreadyExists'], '[i]\'' . $username . '\'@\'' . $hostname . '\'[/i]');
+        $message = sprintf($GLOBALS['strUserAlreadyExists'], '[i]\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'[/i]');
         $adduser = 1;
     } else {
         PMA_DBI_free_result($res);
 
         if (50002 <= PMA_MYSQL_INT_VERSION) {
             // MySQL 5 requires CREATE USER before any GRANT on this user can done
-            $create_user_real = 'CREATE USER \'' . PMA_sqlAddslashes($username) . '\'@\'' . $hostname . '\'';
+            $create_user_real = 'CREATE USER \'' . PMA_sqlAddslashes($username) . '\'@\'' . htmlspecialchars($hostname) . '\'';
         }
 
         $real_sql_query =
@@ -1048,7 +1048,7 @@ if (!empty($update_privs)) {
     $sql_query = (isset($sql_query0) ? $sql_query0 . ' ' : '')
                . (isset($sql_query1) ? $sql_query1 . ' ' : '')
                . $sql_query2;
-    $message = sprintf($GLOBALS['strUpdatePrivMessage'], '\'' . $username . '\'@\'' . $hostname . '\'');
+    $message = sprintf($GLOBALS['strUpdatePrivMessage'], '\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'');
 }
 
 
@@ -1080,7 +1080,7 @@ if (!empty($revokeall)) {
         unset($sql_query1);
     }
     $sql_query = $sql_query0 . (isset($sql_query1) ? ' ' . $sql_query1 : '');
-    $message = sprintf($GLOBALS['strRevokeMessage'], '\'' . $username . '\'@\'' . $hostname . '\'');
+    $message = sprintf($GLOBALS['strRevokeMessage'], '\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'');
     if (! isset($tablename) || ! strlen($tablename)) {
         unset($dbname);
     } else {
@@ -1115,7 +1115,7 @@ if (!empty($change_pw)) {
         $sql_query        = 'SET PASSWORD FOR \'' . PMA_sqlAddslashes($username) . '\'@\'' . $hostname . '\' = ' . (($pma_pw == '') ? '\'\'' : $hashing_function . '(\'' . preg_replace('@.@s', '*', $pma_pw) . '\')');
         $local_query      = 'SET PASSWORD FOR \'' . PMA_sqlAddslashes($username) . '\'@\'' . $hostname . '\' = ' . (($pma_pw == '') ? '\'\'' : $hashing_function . '(\'' . PMA_sqlAddslashes($pma_pw) . '\')');
         PMA_DBI_try_query($local_query) or PMA_mysqlDie(PMA_DBI_getError(), $sql_query, FALSE, $err_url);
-        $message = sprintf($GLOBALS['strPasswordChanged'], '\'' . $username . '\'@\'' . $hostname . '\'');
+        $message = sprintf($GLOBALS['strPasswordChanged'], '\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'');
     }
 }
 
@@ -1588,17 +1588,17 @@ if (empty($adduser) && (! isset($checkpr
 
         echo '<h2>' . "\n"
            . ($GLOBALS['cfg']['PropertiesIconic'] ? '<img class="icon" src="' . $pmaThemeImage . 'b_usredit.png" width="16" height="16" alt="" />' : '')
-           . $GLOBALS['strUser'] . ' <i><a href="server_privileges.php?' . $GLOBALS['url_query'] . '&amp;username=' . urlencode($username) . '&amp;hostname=' . urlencode($hostname) . '">\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'</a></i>' . "\n";
+           . $GLOBALS['strUser'] . ' <i><a href="server_privileges.php?' . $GLOBALS['url_query'] . '&amp;username=' . htmlspecialchars(urlencode($username)) . '&amp;hostname=' . htmlspecialchars(urlencode($hostname)) . '">\'' . htmlspecialchars($username) . '\'@\'' . htmlspecialchars($hostname) . '\'</a></i>' . "\n";
         if (isset($dbname) && strlen($dbname)) {
             if ($dbname_is_wildcard) {
             echo '    - ' . $GLOBALS['strDatabases'];
             } else {
             echo '    - ' . $GLOBALS['strDatabase'];
             }
-            $url_dbname = urlencode(str_replace('\_', '_', $dbname));
+            $url_dbname = htmlspecialchars(urlencode(str_replace('\_', '_', $dbname)));
             echo ' <i><a href="' . $GLOBALS['cfg']['DefaultTabDatabase'] . '?' . $GLOBALS['url_query'] . '&amp;db=' . $url_dbname . '&amp;reload=1">' . htmlspecialchars($dbname) . '</a></i>' . "\n";
             if (isset($tablename) && strlen($tablename)) {
-                echo '    - ' . $GLOBALS['strTable'] . ' <i><a href="' . $GLOBALS['cfg']['DefaultTabTable'] . '?' . $GLOBALS['url_query'] . '&amp;db=' . $url_dbname . '&amp;table=' . urlencode($tablename) . '&amp;reload=1">' . htmlspecialchars($tablename) . '</a></i>' . "\n";
+                echo '    - ' . $GLOBALS['strTable'] . ' <i><a href="' . $GLOBALS['cfg']['DefaultTabTable'] . '?' . $GLOBALS['url_query'] . '&amp;db=' . $url_dbname . '&amp;table=' . htmlspecialchars(urlencode($tablename)) . '&amp;reload=1">' . htmlspecialchars($tablename) . '</a></i>' . "\n";
             }
             unset($url_dbname);
         }
@@ -1839,16 +1839,16 @@ if (empty($adduser) && (! isset($checkpr
                     }
                     echo '</td>' . "\n"
                        . '    <td>';
-                    printf($link_edit, urlencode($username),
-                        urlencode($hostname),
-                        urlencode((! isset($dbname) || ! strlen($dbname)) ? $row['Db'] : $dbname),
+                    printf($link_edit, htmlspecialchars(urlencode($username)),
+                        htmlspecialchars(urlencode($hostname)),
+                        htmlspecialchars(urlencode((! isset($dbname) || ! strlen($dbname)) ? $row['Db'] : $dbname)),
                         urlencode((! isset($dbname) || ! strlen($dbname)) ? '' : $row['Table_name']));
                     echo '</td>' . "\n"
                        . '    <td>';
                     if (! empty($row['can_delete']) || isset($row['Table_name']) && strlen($row['Table_name'])) {
-                        printf($link_revoke, urlencode($username),
-                            urlencode($hostname),
-                            urlencode((! isset($dbname) || ! strlen($dbname)) ? $row['Db'] : $dbname),
+                        printf($link_revoke, htmlspecialchars(urlencode($username)),
+                            htmlspecialchars(urlencode($hostname)),
+                            htmlspecialchars(urlencode((! isset($dbname) || ! strlen($dbname)) ? $row['Db'] : $dbname)),
                             urlencode((! isset($dbname) || ! strlen($dbname)) ? '' : $row['Table_name']));
                     }
                     echo '</td>' . "\n"
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_processlist.php phpMyAdmin-2.11.10.1-all-languages/server_processlist.php
--- phpMyAdmin-2.11.9.6-all-languages/server_processlist.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_processlist.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_processlist.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_sql.php phpMyAdmin-2.11.10.1-all-languages/server_sql.php
--- phpMyAdmin-2.11.9.6-all-languages/server_sql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_sql.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_sql.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_status.php phpMyAdmin-2.11.10.1-all-languages/server_status.php
--- phpMyAdmin-2.11.9.6-all-languages/server_status.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_status.php	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@
  * displays status variables with descriptions and some hints an optmizing
  *  + reset status variables
  *
- * @version $Id: server_status.php 10871 2007-10-22 12:15:53Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/server_variables.php phpMyAdmin-2.11.10.1-all-languages/server_variables.php
--- phpMyAdmin-2.11.9.6-all-languages/server_variables.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/server_variables.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_variables.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/show_config_errors.php phpMyAdmin-2.11.10.1-all-languages/show_config_errors.php
--- phpMyAdmin-2.11.9.6-all-languages/show_config_errors.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/show_config_errors.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Simple wrapper just to enable error reporting and include config
  *
- * @version $Id: show_config_errors.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/sql.php phpMyAdmin-2.11.10.1-all-languages/sql.php
--- phpMyAdmin-2.11.9.6-all-languages/sql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/sql.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * @todo    we must handle the case if sql.php is called directly with a query
  *          what returns 0 rows - to prevent cyclic redirects or includes
- * @version $Id: sql.php 11163 2008-03-16 11:28:18Z lem9 $
+ * @version $Id$
  */
 
 /**
@@ -175,14 +175,14 @@ if ($do_confirm) {
         .PMA_generate_common_hidden_inputs($db, $table);
     ?>
     <input type="hidden" name="sql_query" value="<?php echo htmlspecialchars($sql_query); ?>" />
-    <input type="hidden" name="zero_rows" value="<?php echo isset($zero_rows) ? PMA_sanitize($zero_rows) : ''; ?>" />
+    <input type="hidden" name="zero_rows" value="<?php echo isset($zero_rows) ? PMA_sanitize($zero_rows, true) : ''; ?>" />
     <input type="hidden" name="goto" value="<?php echo $goto; ?>" />
-    <input type="hidden" name="back" value="<?php echo isset($back) ? PMA_sanitize($back) : ''; ?>" />
-    <input type="hidden" name="reload" value="<?php echo isset($reload) ? PMA_sanitize($reload) : 0; ?>" />
-    <input type="hidden" name="purge" value="<?php echo isset($purge) ? PMA_sanitize($purge) : ''; ?>" />
-    <input type="hidden" name="cpurge" value="<?php echo isset($cpurge) ? PMA_sanitize($cpurge) : ''; ?>" />
-    <input type="hidden" name="purgekey" value="<?php echo isset($purgekey) ? PMA_sanitize($purgekey) : ''; ?>" />
-    <input type="hidden" name="show_query" value="<?php echo isset($show_query) ? PMA_sanitize($show_query) : ''; ?>" />
+    <input type="hidden" name="back" value="<?php echo isset($back) ? PMA_sanitize($back, true) : ''; ?>" />
+    <input type="hidden" name="reload" value="<?php echo isset($reload) ? PMA_sanitize($reload, true) : 0; ?>" />
+    <input type="hidden" name="purge" value="<?php echo isset($purge) ? PMA_sanitize($purge, true) : ''; ?>" />
+    <input type="hidden" name="cpurge" value="<?php echo isset($cpurge) ? PMA_sanitize($cpurge, true) : ''; ?>" />
+    <input type="hidden" name="purgekey" value="<?php echo isset($purgekey) ? PMA_sanitize($purgekey, true) : ''; ?>" />
+    <input type="hidden" name="show_query" value="<?php echo isset($show_query) ? PMA_sanitize($show_query, true) : ''; ?>" />
     <?php
     echo '<fieldset class="confirmation">' . "\n"
         .'    <legend>' . $strDoYouReally . '</legend>'
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_addfield.php phpMyAdmin-2.11.10.1-all-languages/tbl_addfield.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_addfield.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_addfield.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_addfield.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_alter.php phpMyAdmin-2.11.10.1-all-languages/tbl_alter.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_alter.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_alter.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_alter.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_change.php phpMyAdmin-2.11.10.1-all-languages/tbl_change.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_change.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_change.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_change.php 11337 2008-06-23 11:56:41Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_create.php phpMyAdmin-2.11.10.1-all-languages/tbl_create.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_create.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_create.php	2010-08-20 13:47:14.000000000 +0700
@@ -34,7 +34,7 @@
  * @uses    strlen()
  * @uses    sprintf()
  * @uses    htmlspecialchars()
- * @version $Id: tbl_create.php 10633 2007-09-13 00:06:29Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_export.php phpMyAdmin-2.11.10.1-all-languages/tbl_export.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_export.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_export.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_export.php 11061 2008-01-18 18:29:17Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_import.php phpMyAdmin-2.11.10.1-all-languages/tbl_import.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_import.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_import.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_import.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_indexes.php phpMyAdmin-2.11.10.1-all-languages/tbl_indexes.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_indexes.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_indexes.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * display information about indexes in a table
  *
- * @version $Id: tbl_indexes.php 11058 2008-01-17 17:50:31Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_move_copy.php phpMyAdmin-2.11.10.1-all-languages/tbl_move_copy.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_move_copy.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_move_copy.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_move_copy.php 11027 2007-12-30 20:59:57Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_operations.php phpMyAdmin-2.11.10.1-all-languages/tbl_operations.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_operations.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_operations.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_operations.php 11027 2007-12-30 20:59:57Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_printview.php phpMyAdmin-2.11.10.1-all-languages/tbl_printview.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_printview.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_printview.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_printview.php 11228 2008-05-03 11:59:52Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_relation.php phpMyAdmin-2.11.10.1-all-languages/tbl_relation.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_relation.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_relation.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_relation.php 11366 2008-07-04 14:36:18Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_replace.php phpMyAdmin-2.11.10.1-all-languages/tbl_replace.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_replace.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_replace.php	2010-08-20 13:47:14.000000000 +0700
@@ -5,7 +5,7 @@
  *
  * usally called as form action from tbl_change.php to insert or update table rows
  *
- * @version $Id: tbl_replace.php 11281 2008-05-18 15:53:27Z lem9 $
+ * @version $Id$
  *
  * @todo 'edit_next' tends to not work as expected if used ... at least there is no order by
  *       it needs the original query and the row number and than replace the LIMIT clause
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_row_action.php phpMyAdmin-2.11.10.1-all-languages/tbl_row_action.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_row_action.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_row_action.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_row_action.php 10398 2007-05-15 11:16:10Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_select.php phpMyAdmin-2.11.10.1-all-languages/tbl_select.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_select.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_select.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_select.php 10241 2007-04-01 11:13:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_sql.php phpMyAdmin-2.11.10.1-all-languages/tbl_sql.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_sql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_sql.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_sql.php 10965 2007-12-05 17:53:52Z lem9 $
+ * @version $Id$
  */
 
 /**
@@ -37,7 +37,7 @@ require_once './libraries/tbl_links.inc.
 /**
  * Query box, bookmark, insert data from textfile
  */
-PMA_sqlQueryForm(true, false, isset($_REQUEST['delimiter']) ? $_REQUEST['delimiter'] : ';');
+PMA_sqlQueryForm(true, false, isset($_REQUEST['delimiter']) ? htmlspecialchars($_REQUEST['delimiter']) : ';');
 
 /**
  * Displays the footer
diff -rupN phpMyAdmin-2.11.9.6-all-languages/tbl_structure.php phpMyAdmin-2.11.10.1-all-languages/tbl_structure.php
--- phpMyAdmin-2.11.9.6-all-languages/tbl_structure.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/tbl_structure.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_structure.php 11354 2008-06-27 15:08:21Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/css/theme_right.css.php phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/css/theme_right.css.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/css/theme_right.css.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/css/theme_right.css.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * main css file from theme Darkblue Orange
  *
- * @version $Id: theme_right.css.php 10666 2007-09-26 13:49:55Z lem9 $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Darkblue_orange
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/info.inc.php phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/info.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/info.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/info.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Theme information
  *
- * @version $Id: info.inc.php 10147 2007-03-20 14:54:22Z cybot_tm $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Darkblue_orange
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/layout.inc.php phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/layout.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/darkblue_orange/layout.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/darkblue_orange/layout.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@
  * configures general layout
  * for detailed layout configuration please refer to the css files
  *
- * @version $Id: layout.inc.php 11036 2008-01-05 14:30:41Z lem9 $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Darkblue_orange
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_left.css.php phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_left.css.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_left.css.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_left.css.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * navigation css file from theme Original
  *
- * @version $Id: theme_left.css.php 11409 2008-07-19 14:46:28Z lem9 $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Original
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_print.css.php phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_print.css.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_print.css.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_print.css.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * print css file from theme Original
  *
- * @version $Id: theme_print.css.php 10145 2007-03-20 13:39:12Z cybot_tm $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Original
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_right.css.php phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_right.css.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/original/css/theme_right.css.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/original/css/theme_right.css.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * main css file from theme Original
  *
- * @version $Id: theme_right.css.php 11126 2008-02-15 21:17:17Z lem9 $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Original
  */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/themes/original/info.inc.php phpMyAdmin-2.11.10.1-all-languages/themes/original/info.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/themes/original/info.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/themes/original/info.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Theme information
  *
- * @version $Id: info.inc.php 10145 2007-03-20 13:39:12Z cybot_tm $
+ * @version $Id$
  * @package phpMyAdmin-theme
  * @subpackage Original
  */
